Request

Response

    Get a Job
    GET

    vaults/{vaultId}/jobs/{id}

    Retrieves a job by its ID.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/jobs/{id}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a job.

    Response

    HTTP Status Code Summary

    200
    OK
    The job was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    Expand all
    id
    string
    A unique identifier for the job.
    jobType
    string
    The job type.
    priority
    number
    The priority of the job. Lower numeric values indicate higher priority; the lowest accepted value is 1 (highest priority).
    description
    string
    A description of the job.
    url
    string
    The relative URL to access this object.
    params
    object
    Contains a user-defined map of string key-value pairs that provide metadata about the job.
    *
    string
    status
    enum:string
    The status of the job. Possible values:
    • Ready - The job is ready to be run.
    • Running - The job is currently running.
    • Success - The job has completed successfully.
    • Failure - The job has failed.
    isOnSite
    boolean
    Indicates whether the file is on the local site in a multi-site environment.

    Example

    This example illustrates the retrieval of a job by its ID.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/3/jobs/50202' \
      -X 'GET' \
      -H 'Content-Type: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "50202",
      "jobType": "Autodesk.Vault.DWF.Create.iam",
      "description": "DWF Create: 144001000-001.iam",
      "params": {
          "fileVersionId": "11462"
      },
      "priority": 10,
      "status": 0,
      "isOnSite": true,
      "url": "/AutodeskDM/Services/api/vault/v2/vaults/3/jobs/50202"
    }
    
    Show More